Description

Now the ISTI OpenPortal is deployed in  development machines, in particular:

node0-d-puma.d4science.org (dnet, joomla, solr, mysql, nginx+php)

node5.t.openaire.research-infrastructures.eu (mongo)

It is necessary to move it in production machines. 

Subtasks:

Feature # 12667: New joomla portal installation (BETA) Closed

Feature # 13078: Put the three openportal servers under backup Closed

Feature # 13100: Switch off demo.openportal.d4science.org and node0-d-puma.d4science.org Closed

Related issues:

Related to ISTI Open Access - Bug #12670: Memory problem Closed Oct 12, 2018

Related to ISTI Open Access - Feature #21881: Update the PHP version Closed Jul 28, 2021

Related to ISTI Open Access - Feature #21891: Migrate OpenPortal machines to ... Closed Jul 30, 2021

History

#1 - Apr 10, 2018 08:10 PM - Andrea Dell'Amico

There's no difference between dev and production machines, but I agree that the hostname is misleading and it should be better to split the services

(and use a diffferent mongodb instance).

I'm of the opinion that such a service should live on the ISTI servers, but your choice.

#2 - Apr 11, 2018 06:17 PM - Andrea Dell'Amico

There is also a solr instance.

#3 - Apr 13, 2018 02:20 PM - Leonardo Candela

@andrea.dellamico@isti.cnr.it I'm fine with ISTI servers if (a) we already have them, (b) the machine we have are suitable for the service(s). 

#4 - Apr 16, 2018 07:52 PM - Andrea Dell'Amico

@tommaso.piccioli@isti.cnr.it can answer. He knows better than me the hypervisors that could host the service (the same one where social-isti is

running, FYI).

#5 - Oct 12, 2018 11:40 AM - Andrea Dell'Amico

- Related to Bug #12670: Memory problem added

#6 - Oct 12, 2018 11:40 AM - Andrea Dell'Amico

- Assignee changed from Andrea Dell'Amico to _InfraScience Systems Engineer

#7 - Dec 03, 2018 02:16 PM - Michele Artini

I think that 3 machines are necessary for the production deployment:

1. dnet.openportal.isti.cnr.it (java 8 + tomcat 7 + dnet): 2 cpus, 8GB Ram, ~12GB diskspace

2. backend.openportal.isti.cnr.it (solr 5.5.x + mongo  + mysql)): 4 cpus, 16GB Ram, ~64GB diskspace

3. openportal.isti.cnr.it, beta.openportal.isti.cnr.it, ftp.openportal.isti.cnr.it (php 7 + apache + mysql + joomla + ftp server): 4 cpus, 16GB Ram,

~512GB diskspace
The third machine should hosts 2 web sites (openportal.isti.cnr.it and beta.openportal.isti.cnr.it) and an ftp server; the ftp users should write in a

particular directory and this directory should be visible by the web users.

NB. The modification of the openportal.isti.cnr.it DNS entry should be performed after the migration of the current portal.

#8 - Dec 14, 2018 02:36 PM - Tommaso Piccioli

Vm created (and now running):

dnet-openportal.isti.cnr.it (146.48.87.206), alias dnet.openportal.isti.cnr.it

2 cpus, 8GB Ram, 12GB diskspace

backend-openportal.isti.cnr.it (146.48.87.207), alias  backend.openportal.isti.cnr.it

4 cpus, 16GB Ram, 12GB + 64GB (/data) diskspace

portal-openportal.isti.cnr.it (146.48.87.208), aliases beta.openportal.isti.cnr.it, ftp.openportal.isti.cnr.it

 

4 cpus, 16GB Ram, 12 Gb + 500GB (/data) diskspace

 All the SW must be installed yet and /data mount-point can be changed

#9 - Dec 14, 2018 05:22 PM - Andrea Dell'Amico

- Status changed from New to In Progress

Michele Artini wrote:

1. backend.openportal.isti.cnr.it (solr 5.5.x + mongo  + mysql)): 4 cpus, 16GB Ram, ~64GB diskspace

2. openportal.isti.cnr.it, beta.openportal.isti.cnr.it, ftp.openportal.isti.cnr.it (php 7 + apache + mysql + joomla + ftp server): 4 cpus, 16GB Ram,

~512GB diskspace

The third machine should hosts 2 web sites (openportal.isti.cnr.it and beta.openportal.isti.cnr.it) and an ftp server; the ftp users should write in a

particular directory and this directory should be visible by the web users.

 I need a couple of clarifications here (three, really):

mysql should only on the backend server

the reverse proxy of the running instance is nginx, I'd stick with it

beta and openportal are two distinct installations of joomla, each one with its database, correct?

#10 - Dec 17, 2018 09:10 AM - Anonymous

mysql should only on the backend server

mysql is used by d-net and by the portals; if you prefer a single installation, it is OK. 

the reverse proxy of the running instance is nginx, I'd stick with it

If you prefer nginx it is OK, I proposed Apache because some features have a better documentation using Apache.

beta and openportal are two distinct installations of joomla, each one with its database, correct?

yes

#12 - Dec 20, 2018 07:21 PM - Andrea Dell'Amico

dnet-openportal.isti.cnr.it has been deployed. The dnet application will answer at https://dnet.openportal.isti.cnr.it/is when installed.

Michele has access as michele.artini, with write permissions under the tomcat webapps directory.

#13 - Dec 21, 2018 04:52 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

#15 - Jan 07, 2019 04:04 PM - Andrea Dell'Amico

We had the OK to switch the official hostname so that it points to the new frontend: just done.

#16 - Feb 22, 2019 04:45 PM - Tommaso Piccioli
- Status changed from Feedback to Closed

#17 - Jul 28, 2021 08:11 PM - Tommaso Piccioli

- Related to Feature #21881: Update the PHP version added

#18 - Jul 30, 2021 11:26 AM - Tommaso Piccioli

- Related to Feature #21891: Migrate OpenPortal machines to ubuntu 18.04 added
